首页 > Unity3D频道 > 【Unity3D研究院之游戏开发】 > Unity3D研究院之旧版本Unity使用新版本XcodeAPI
2018
05-15

Unity3D研究院之旧版本Unity使用新版本XcodeAPI

由于目前Unity的项目比较老(Unity5.x),自动打包Xcode持续集成的时候遇到了问题, 因为PBXProject有些方法旧版本没有,今天我无意间发现一个巧妙的方法解决它。

https://bitbucket.org/Unity-Technologies/xcodeapi

将最新的xcode api下载到本地, 接着将目录中的Xcode文件夹放入你的旧版本Unity工程中。

Unity3D研究院之旧版本Unity使用新版本XcodeAPI - 雨松MOMO程序研究院 - 1

最后在代码调用地方将using UnityEditor.iOS.Xcode 替换成using UnityEditor.iOS.Xcode.Custom; 即可。

愉快的使用新版API方法吧。

 

最后编辑:
作者:雨松MOMO
专注移动互联网,Unity3D游戏开发
捐 赠写博客不易,如果您想请我喝一杯星巴克的话?就进来看吧!

Unity3D研究院之旧版本Unity使用新版本XcodeAPI》有 2 条评论

  1. ohyeah 说:

    正愁着怎么解决,点个赞

  2. x 说:

    alert(“哈哈”)

留下一个回复

你的email不会被公开。